## 模块间互动Android组件


#### android端调用方法。
- 添加依赖webfile
- Intent(this, FileActivity.class)
- 传值时需要传入对应类型。(详见下面的类型)

#### 具体类型说明

- notification  通知通报
- conferenceManagement 会议管理
- documentFlow 公文流转
- issueCollection 议题收集
- documentGeneration 公文模板生成
- speechRecognition 语音识别
- ocrRecognition OCR识别
- documentScan 文档扫描
- shareFolder 共享文件夹（nextCloud)
- myselfNetDisk 个人网盘 （nextCloud)
- documentManager 文档管理 （nextCloud)


#### Weex端调用方法。

- 复制webfile到 platform/android
- 把sample模块中的 weex包下的文件复制到自己工程下的位置。
- setting.gradle 中增加 include ':webfile'
- android 下的app/build.gradle dependencies方法内添加 compile project(path: ':webfile')
- 将下面代码放到WXApplication中onCreate方法内
```
    try {
        WXSDKEngine.registerModule("chooseNetFile", NetFileChooseModule.class);
    } catch (WXException e) {
        e.printStackTrace();
    }
 ```


#### 调用方法

```
const choose = requireModule('chooseNetFile')
// 传入 userId， 模块名称（参考上面的类型值), 是否是nextCloudFile true属于 false 不属于， 回调
choose.chooseNetFile(userId,moduleName,isNextCloudFile,function(data){
    // TODO
})
```


